<template>
	<div class="mobile-menu">
		<div class="container">
			<div class="row mobile-menu__row">
				
				<div class="columns three mobile-menu__col mobile-menu__col-1">
					<div v-if="!$interface.menu.open" @click="openMenu">
						<svg class="hamburger" viewBox="0 0 60 60">
							<use xlink:href="#burger-icon"/>
						</svg>
					</div>
					<div v-else v-on:click="closeMenu">
						<svg class="hamburger" viewBox="0 0 60 60">
							<use xlink:href="#close-icon"/>
						</svg>
						<!--<SVGIcon view-box="0 0 60 60" xlink="burger-icon"/>-->
						<!--<SVGIcon view-box="0 0 60 60" xlink="close-icon"/>-->
					</div>
				</div>
				
				<div class="columns six center mobile-menu__col mobile-menu__col-2">
					<router-link to="/lk/my-loan" class="logotype">
						<svg class="webbankir-logotype" viewBox="0 3 170 25">
							<use xlink:href="#webbankir-logotype"/>
						</svg>
					</router-link>
				</div>
				
				<div class="columns three right mobile-menu__col mobile-menu__col-3">
					<message-bell></message-bell>
				</div>
			
			</div>
		</div>
	</div>
</template>

<script>
	import MessageBell from './MessageBell'
	import SVGIcon from "@/components/SVGIcon/index";
	
	export default {
		name: 'mobile-menu',
		components: {SVGIcon, MessageBell},
		methods: {
			openMenu() {
				this.$store.commit('OPEN_MENU');
				this.$helpers.noscroll(true)
			},
			closeMenu() {
				this.$store.commit('CLOSE_MENU');
				this.$helpers.noscroll(false)
			}
		}
	}
</script>

<style lang="scss" scoped>
	.mobile-menu {
		position: relative;
		z-index: 10;
	}
	
	.mobile-menu__row {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	
	.mobile-menu__col {
		display: flex;
		align-items: center;
	}
	
	.mobile-menu__col-1 {
	
	}
	
	.mobile-menu__col-2 {
		justify-content: center;
	}
	
	.mobile-menu__col-3 {
		justify-content: flex-end;
	}
	
	.hamburger {
		color: #323C47;
	}
	
	.webbankir-logotype {
		width: 100%;
		height: 100%;
		position: relative;
		color: #000;
		@media (max-width: 600px) {
			width: 288px;
			height: 55px;
			color: transparent;
		}
	}
</style>
